Subject: Re: [nwcrg] nwcrg Digest, Vol 42, Issue 4

From: Cedric Westphal <[email-masked]>
Date: Fri, 21 Apr 2017 23:53:37 +0000

Hi Marie-Jose,

There has been a lot of work on network coding in ICN since our 2012 paper. We made an implementation using CCN that we described here for rate adaptive video streaming: https://users.soe.ucsc.edu/~cedric/papers/ramakrishnan2016adaptive.pdf
If you think it would be interesting to write it up as a draft, I’d be willing to do it!
Best,

C.

From: Marie-Jose Montpetit [mailto:[email-masked]]
Sent: Friday, April 21, 2017 4:23 PM
To: [email-masked]
Cc: Jesus Jimenez; Verizon; Lars Erup; Aneesh Dalvi; Brandon Williams; Prof. Jianping Wang; Ian Swett; Cedric Westphal; Dirk Trossen; Sheau Ng; Lars Eggert; Hannes Tschofenig
Subject: Re: nwcrg Digest, Vol 42, Issue 4

See some comments below.
On Apr 21, 2017, at 3:00 PM, [email-masked]<mailto:[email-masked]> wrote:

Send nwcrg mailing list submissions to
            [email-masked]<mailto:[email-masked]>

To subscribe or unsubscribe via the World Wide Web, visit
            https://www.irtf.org/mailman/listinfo/nwcrg
or, via email, send a message with subject or body 'help' to
            [email-masked]

You can reach the person managing the list at
            [email-masked]

When replying, please edit your Subject line so it is more specific
than "Re: Contents of nwcrg digest..."
Today's Topics:

  1. Structuring NWCRG activities: a few ideas... (Vincent Roca)
From: Vincent Roca <[email-masked]>
Subject: [nwcrg] Structuring NWCRG activities: a few ideas...
Date: April 21, 2017 at 3:36:40 AM EDT
To: [email-masked]

Hello everybody,

Here are a few topics related to « coding for efficient network communications » on which we could work within the
NWCRG.

Use-cases where end-to-end coding or network coding can be beneficial:

            - NC for satellite communications
I think there is already some work in Inmarsat and most likely other work that could be brought forward. Lars Erup: any comment? Worth a draft?

            - NC for ICN/CCN
We had a paper some time ago with Cedric and Dirk. We showed that NC improved cache hits. Prof. JIanping Wang may have related work.

            - NC for NFV
We know this is happening.

            - Virtual/Augmented Reality: can NC help and how?
This is my own thing these days after working with the MIT movie makers. I could be open to do a draft if anyone is interested.

            - Robust, low latency tunnels: this could be the basis of a generic protocol
Relates to NFV and of course SDN.

            - something else?

On the Coding side:

            - applying sliding window codes for low latency, robust communications
            - sliding window codes: several of them have been presented in the past few years during NWCRG meetings
                        (or elsewhere). It’s time to go further with specifications, comparisons, work on advanced features, etc.
            - something else?
Security implications of course. NC can provide “soft protection”. Anything we could do better?

Well there is a Tetrys draft in the group but there was never a RLNC draft in the tradition of Raptors or LDPC. There was mention of fulcrum. Do we have a clear idea of how many network codes are being researched now?

A « nice to have »:

            - open source sliding window codecs, not encumbered with complex licensing conditions or (hopefully) IPR
            - open source NC solution, here also not encumbered with complex licensing conditions or (hopefully) IPR
I think it’s not nice to have - it’s essential we cannot see if for example a ICN app (multi-source multidestination) can be improved by NC or to try a new NC/CC algorithm is we have to go through license negociations or eventual patent infringement - you know I love Open Source

            - work on a generic API for sliding window codes
Something to talk to TAPS

Transversal questions for most of the above topics:

- Q: what are the research topics we’d like to address? There are in particular many important and tough questions
            on relationships with congestion control and fairness with other flows.
There is work at the Hamilton Institute on NC/CC as well as elsewhere - can we get draft from the inventors (with patent protection of course)

- Q: can we derive a generic architecture from existing NC deployments?
I actually think that when we tried to have a generic architecture we ended up in an NC Gordian Knot. I think we should target “architectures” than highlight the different researchers environments.

Our group can produce Internet-drafts (and informational or experimental RFCs). This is a good manner to have
concrete activities that can be discussed within the group and that authors can valorize. I encourage you all to think
about it.
But inputs can also take other forms: research articles published elsewhere (or not) provided as input for discussions,
presentations during next IETF99 meeting (Prague, Czech Republic).
I may not have funding for IETF 99 (dear leaders: this is the height of the tourist season in a hot place and of course the IETF registration is really high)

Part of the above work is of research type, the rest is more applied. Even if we are a research group, this second
aspect can both fuel research activities and potentially future IETF work. Therefore it will not considered as out of
scope.
:-)

Finally, please consider the above topic as inputs for discussions. Good ideas are always welcome, nothing is fixed.
:-)

Happy weekend all. And happy Earth Day. Hope to see some of you at the March for Science.

mjm

Cheers,

  Vincent

_______________________________________________
nwcrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/nwcrg